#ifndef _LIST_H_
#define _LIST_H_


typedef struct node {
	int data;
	struct node* next;
}Node;

typedef struct {
        Node *head;
        Node *tail;
        int size;
}List;



/**
 * Name: init_list
 * Input parameters: list * int
 * Return Type:void
 * Objective: initialize a list 
*/
List * init_list();


/**
 * Name: insert_node
 * Input parameters: nodes*, int
 * Return Type: void
 * Objective: insert node in the list "l" at the tail of the list. 
*/
void insert_node(List *l, int val);


/**
 * Name: delete_list
 * Input parameter: list*
 * Return type: void
 * Objective: delete contents of list "l". 
*/
void delete_list(List *l);


/**
 * Name: display_list
 * Input parameters: list*
 * Return type: void
 * Objective: displays the content of the list "l".
*/
void display_list(List *l);


/**
 * Name: RemoveDuplicates
 * Input parameters: List*
 * Return type: void
 * Objective:Remove duplicates from a sorted list
*/
void RemoveDuplicates(List *l);


/**
 * Name: insert_sorted
 * Input parameters: List* int
 * Return type: void
 * Objective: insert an int in a sorted list
*/
void insert_sorted(List *l, int val);

#endif
